Class KeySystemConfiguration
-
- All Implemented Interfaces:
public class KeySystemConfigurationThe configuration of a key system which will be used during the licensing process with a given DRM server.
-
-
Nested Class Summary
Nested Classes Modifier and Type Class Description public classKeySystemConfiguration.BuilderThe builder for the key system configuration.
-
Field Summary
Fields Modifier and Type Field Description public final StringlicenseAcquisitionURLpublic final Map<String, String>headerspublic final Map<String, String>queryParameterspublic final LicenseTypelicenseTypepublic final Array<byte>certificate
-
Constructor Summary
Constructors Constructor Description KeySystemConfiguration(String licenseAcquisitionURL, Map<String, String> headers, boolean useCredentials, Map<String, String> queryParameters, LicenseType licenseType, Array<byte> certificate)
-
Method Summary
Modifier and Type Method Description StringgetLicenseAcquisitionURL()The license acquisition URL. Map<String, String>getHeaders()Map of HTTP headers for the license acquisition request. Map<String, String>getQueryParameters()The map of query parameters for the license acquisition request. LicenseTypegetLicenseType()The license type. Array<byte>getCertificate()The certificate. booleanisUseCredentials()Returns whether the player is allowed to use credentials for cross-origin requests. booleanequals(Object o)inthashCode()-
-
Method Detail
-
getLicenseAcquisitionURL
@NonNull() String getLicenseAcquisitionURL()
The license acquisition URL. (NonNull)
-
getHeaders
@NonNull() Map<String, String> getHeaders()
Map of HTTP headers for the license acquisition request.
- Each entry contains a header name with associated value.
- Returns:
The Map of HTTP headers. (NonNull)
-
getQueryParameters
@Nullable() Map<String, String> getQueryParameters()
The map of query parameters for the license acquisition request.
- Each entry contains a query parameter name with associated value.
- Returns:
The query parameters. (Nullable)
-
getLicenseType
@Nullable() LicenseType getLicenseType()
The license type.
- Indicates whether the license should be persisted.
- This is only possible if the LicenseType allows it.
- Returns:
The LicenseType. (Nullable)
-
getCertificate
@Nullable() Array<byte> getCertificate()
The certificate.
- Returns:
The certificate. (Nullable)
-
isUseCredentials
boolean isUseCredentials()
Returns whether the player is allowed to use credentials for cross-origin requests.
- Credentials are cookies, authorization headers or TLS client certificates.
Default: false
-
hashCode
int hashCode()
-
-
-
-